# OperatingSystem

@Incubating
enum OperatingSystem

Constants for various operating systems Gradle runs on.

#### Since

7.6

## Entries

LINUX
Link copied to clipboard
@Incubating
LINUX
UNIX
Link copied to clipboard
@Incubating
UNIX
WINDOWS
Link copied to clipboard
@Incubating
WINDOWS
MAC_OS
Link copied to clipboard
@Incubating
MAC_OS
SOLARIS
Link copied to clipboard
@Incubating
SOLARIS
FREE_BSD
Link copied to clipboard
@Incubating
FREE_BSD

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): OperatingSystem

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<OperatingSystem>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.